Update custom field

This method allows to update a singular custom field of an entity(leads/contacts/companies)

Limitations
The method is available for administrator users only.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

ParameterData typeDescription
idintField ID
namestringField name
codestringField code that can be used to update the value of the field without passing the field ID in the request.
sortintField sorting
typeintField type
entity_typestringEntity type (leads, contacts, companies).
is_predefinedboolDefines whether the field is predefined. This parameter is returned only when getting a contact or company fields list.
is_deletableboolDefines whether the field is deletable. This parameter is returned only when getting a contact or company fields list.
currencystring|nullField currency code. Applicable only to the monetary field type. null for other field types.
remindstring|nullBirthday reminders setting (never, day – day before the event, week – week before the event, month – month before the event). This value is available only for the birthday type field. This parameter is returned only when getting a list of lead, contact, or company fields.
enumsarray|nullAvailable field values array. Only available for the fields with enum values.
enums[0]objectAvailable field values model
enums[id]intEnum ID
enums[value]stringEnum value
enums[sort]intEnum sorting
is_api_onlyboolDefines whether the field is editable via API only. This parameter is returned only when getting a lead, contact, or company fields list.
group_idstring|nullFields group ID for the current field. This parameter is returned only when getting a lead, contact or company fields list.
required_statusesarray|nullArray of the fields required to change a lead status. This parameter is returned only when getting a lead, contact, or company fields list.
required_statuses[0]objectRequired field model. This parameter is returned only when getting a lead, contact, or company fields list.
required_statuses[status_id]intID of the stage which requires the current field to have a value before the lead can be moved. This parameter is returned only when getting a lead, contact, or company fields list.
required_statuses[pipeline_id]intID of the pipeline which requires the current field to have a value before the lead can be moved. This parameter is returned only when getting a lead, contact, or company fields list.
hidden_statusesarrayField hiding configuration. Fields are hidden in the UI based on their pipeline stage. This key is returned only when retrieving the list of lead fields.
hidden_statuses[0]objectField hiding configuration model.
hidden_statuses[0][status_id]intID of the stage in which the field is hidden.
hidden_statuses[0][pipeline_id]intID of the pipeline in which the field is hidden.
chained_listsarray|nullConfiguration of a chained_list type field. The key is returned only when retrieving the list of lead fields.
chained_lists[0]objChained list configuration model.
chained_lists[0][title]string|nullThe name of the chained list displayed in the lead card.
chained_lists[0][catalog_id]intID of the catalog
chained_lists[0][parent_catalog_id]intID of the parent catalog
tracking_callbackstringA JavaScript callback function that executes on the page containing a Website Chat Button and a Kommo webform when data is submitted. This value is returned for fields of the tracking_data type.
search_instring|nullID of the catalog or symbolic code (contacts, companies, contacts_and_companies) for a field of the linked_entity type.
Path Params
string
enum
required

Entity type

Allowed:
int32
required

Custom field ID

Body Params
string

Field name

int32

Field sorting in the field group

string

Field group ID

boolean

Defines whether the field is editable via API only. Available for all lead, contact, and company fields

required_statuses
array of objects

Array of the fields required to change a lead status

required_statuses
enums
array of objects

Available for the following field types: multiselect, radiobutton, select

enums
string

Available only for the birthday type fields. Birthday reminders setting (never, day – day before the event, week – week before the event, month – month before the event)

string

JavaScript callback function that will be executed on the page containing the Website Chat Button and Kommo webform when the data is submitted. Available for the field type tracking_data

hidden_statuses
array of objects

Field visibility settings. Fields are hidden in the interface depending on the lead stage. This property is returned only when retrieving the list of lead fields

hidden_statuses
chained_lists
array of objects

Configuration for a chained_list field. This property is returned only when retrieving the list of lead fields. Available for the field type chained_list

chained_lists
string

The ID of the linked list or its symbolic code (contacts, companies, contacts_and_companies). Available for the field type linked_entity

string

The currency code for the field. Available for the field type monetary

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json